"""
Created on Nov 19, 2013

@author: noob
"""

from django.conf.urls import url
from .views.overview import overview, kpi_data, delete_component, no_project
from .views.component_edit import component_edit, add_kpi, delete_kpi, edit_kpi, render_kpi_editor

urlpatterns = [
    url(r'^(\w+)$', overview),
    url(r'^kpi/(\d+)/data.json$', kpi_data),
    url(r'^(\w+)/delete_component$', delete_component),
    url(r'^(\w+)/(\d+)$', overview),
    url(r'^(\w+)/(\d+)/edit$', component_edit),
    url(r'^(\w+)/(\d+)/add_kpi$', add_kpi),
    url(r'^(\w+)/(\d+)/delete_kpi$', delete_kpi),
    url(r'^(\w+)/(\d+)/edit_kpi$', edit_kpi),
    url(r'^(\w+)/(\d+)/edit/render_kpi_editor$', render_kpi_editor),
    url(r'^$', no_project),
]
